classification
Title: Remove superfluous "extern C" bits from Include/cpython/*.h
Type: enhancement Stage: resolved
Components: C API Versions: Python 3.10
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: ncoghlan, skip.montanaro, vstinner
Priority: normal Keywords: patch

Created on 2020-02-08 13:50 by skip.montanaro, last changed 2020-06-02 01:21 by vstinner. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 18413 merged skip.montanaro, 2020-02-08 13:54
Messages (2)
msg361628 - (view) Author: Skip Montanaro (skip.montanaro) * (Python triager) Date: 2020-02-08 13:50
I noticed that the files in Include/cpython also have extern C declarations, despite the fact that the only files which #include them do as well. Seems like a small bit of cleanup. PR incoming...
msg370571 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-06-01 18:36
New changeset b4d5a5cca29426a282e8f1e64b2271fdd1f0a23e by Skip Montanaro in branch 'master':
bpo-39583: Remove superfluous "extern C" bits from Include/cpython/*.h (GH-18413)
https://github.com/python/cpython/commit/b4d5a5cca29426a282e8f1e64b2271fdd1f0a23e
History
Date User Action Args
2020-06-02 01:21:03vstinnersetstatus: open -> closed
stage: patch review -> resolved
resolution: fixed
versions: + Python 3.10, - Python 3.9
2020-06-01 18:36:04vstinnersetmessages: + msg370571
2020-02-08 14:03:37skip.montanarosetnosy: + ncoghlan, vstinner
2020-02-08 13:54:51skip.montanarosetkeywords: + patch
stage: patch review
pull_requests: + pull_request17787
2020-02-08 13:50:05skip.montanarocreate